Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Timer_Node_T Class Template Reference

Maintains the state associated with a Timer entry. More...

`#include <Timer_Queue_T.h>`

Collaboration diagram for ACE_Timer_Node_T:

[legend]
List of all members.

## Public Types
typedef ACE_Timer_Node_Dispatch_Info_T< TYPE > | DISPATCH_INFO
| Useful typedef .. More...
## Public Methods
| ACE_Timer_Node_T (void)
| Default constructor. More...
| ~ACE_Timer_Node_T (void)
| Destructor. More...
void | set (const TYPE &type, const void *a, const ACE_Time_Value &t, const ACE_Time_Value &i, ACE_Timer_Node_T< TYPE > *n, long timer_id)
| Singly linked list. More...
void | set (const TYPE &type, const void *a, const ACE_Time_Value &t, const ACE_Time_Value &i, ACE_Timer_Node_T< TYPE > *p, ACE_Timer_Node_T< TYPE > *n, long timer_id)
| Doubly linked list version. More...
TYPE & | get_type (void)
| Get the type. More...
void | set_type (TYPE &type)
| Set the type. More...
const void * | get_act (void)
| Get the asynchronous completion token. More...
void | set_act (void *act)
| Set the asynchronous completion token. More...
const ACE_Time_Value & | get_timer_value (void) const
| Get the timer value. More...
void | set_timer_value (const ACE_Time_Value &timer_value)
| Set the timer value. More...
const ACE_Time_Value & | get_interval (void) const
| Get the timer interval. More...
void | set_interval (const ACE_Time_Value &interval)
| Set the timer interval. More...
ACE_Timer_Node_T< TYPE > * | get_prev (void)
| Get the previous pointer. More...
void | set_prev (ACE_Timer_Node_T< TYPE > *prev)
| Set the previous pointer. More...
ACE_Timer_Node_T< TYPE > * | get_next (void)
| Get the next pointer. More...
void | set_next (ACE_Timer_Node_T< TYPE > *next)
| Set the next pointer. More...
long | get_timer_id (void) const
| Get the timer_id. More...
void | set_timer_id (long timer_id)
| Set the timer_id. More...
void | get_dispatch_info (ACE_Timer_Node_Dispatch_Info_T< TYPE > &info)
| Get the dispatch info. The dispatch information is got through <info>. This form helps us in preventing allocation and deleting data along the criticl path. TODO: We may want to have a copying version too, so that our interface will be complete.. More...
void | dump (void) const
| Dump the state of an TYPE. More...
## Private Attributes
TYPE | type_
| Type of object stored in the Queue. More...
const void * | act_
| Asynchronous completion token associated with the timer. More...
ACE_Time_Value | timer_value_
| Time until the timer expires. More...
ACE_Time_Value | interval_
| If this is a periodic timer this holds the time until the next timeout. More...
ACE_Timer_Node_T< TYPE > * | prev_
| Pointer to previous timer. More...
ACE_Timer_Node_T< TYPE > * | next_
| Pointer to next timer. More...
long | timer_id_
| Id of this timer (used to cancel timers before they expire). More...

## Detailed Description

### template<class TYPE>
class ACE_Timer_Node_T< TYPE >

Maintains the state associated with a Timer entry.

## Member Typedef Documentation

template<class TYPE>
typedef ACE_Timer_Node_Dispatch_Info_T<TYPE> ACE_Timer_Node_T::DISPATCH_INFO

| Useful typedef ..

## Constructor & Destructor Documentation

template<class TYPE>
ACE_Timer_Node_T< TYPE >::ACE_Timer_Node_T | ( | void |  | ) |

| Default constructor.

template<class TYPE>
ACE_Timer_Node_T< TYPE >::~ACE_Timer_Node_T | ( | void |  | ) |

| Destructor.

## Member Function Documentation

template<class TYPE>
void ACE_Timer_Node_T< TYPE >::dump | ( | void |  | ) | const

| Dump the state of an TYPE.

template<class TYPE>
ACE_INLINE const void * ACE_Timer_Node_T< TYPE >::get_act | ( | void |  | ) |

| Get the asynchronous completion token.

template<class TYPE>
ACE_INLINE void ACE_Timer_Node_T< TYPE >::get_dispatch_info | ( | ACE_Timer_Node_Dispatch_Info_T< TYPE > & | info | ) |

| Get the dispatch info. The dispatch information is got through <info>. This form helps us in preventing allocation and deleting data along the criticl path. TODO: We may want to have a copying version too, so that our interface will be complete.. @

template<class TYPE>
ACE_INLINE const ACE_Time_Value & ACE_Timer_Node_T< TYPE >::get_interval | ( | void |  | ) | const

| Get the timer interval.

template<class TYPE>
ACE_INLINE ACE_Timer_Node_T< TYPE > * ACE_Timer_Node_T< TYPE >::get_next | ( | void |  | ) |

| Get the next pointer.

template<class TYPE>
ACE_INLINE ACE_Timer_Node_T< TYPE > * ACE_Timer_Node_T< TYPE >::get_prev | ( | void |  | ) |

| Get the previous pointer.

template<class TYPE>
ACE_INLINE long ACE_Timer_Node_T< TYPE >::get_timer_id | ( | void |  | ) | const

| Get the timer_id.

template<class TYPE>
ACE_INLINE const ACE_Time_Value & ACE_Timer_Node_T< TYPE >::get_timer_value | ( | void |  | ) | const

| Get the timer value.

template<class TYPE>
ACE_INLINE TYPE & ACE_Timer_Node_T< TYPE >::get_type | ( | void |  | ) |

| Get the type.

template<class TYPE>
ACE_INLINE void ACE_Timer_Node_T< TYPE >::set | ( | const TYPE & | type,
|  | const void * | a,
|  | const ACE_Time_Value & | t,
|  | const ACE_Time_Value & | i,
|  | ACE_Timer_Node_T< TYPE > * | p,
|  | ACE_Timer_Node_T< TYPE > * | n,
|  | long | timer_id
| ) |

| Doubly linked list version.

template<class TYPE>
ACE_INLINE void ACE_Timer_Node_T< TYPE >::set | ( | const TYPE & | type,
|  | const void * | a,
|  | const ACE_Time_Value & | t,
|  | const ACE_Time_Value & | i,
|  | ACE_Timer_Node_T< TYPE > * | n,
|  | long | timer_id
| ) |

| Singly linked list.

template<class TYPE>
ACE_INLINE void ACE_Timer_Node_T< TYPE >::set_act | ( | void * | act | ) |

| Set the asynchronous completion token.

template<class TYPE>
ACE_INLINE void ACE_Timer_Node_T< TYPE >::set_interval | ( | const ACE_Time_Value & | interval | ) |

| Set the timer interval.

template<class TYPE>
ACE_INLINE void ACE_Timer_Node_T< TYPE >::set_next | ( | ACE_Timer_Node_T< TYPE > * | next | ) |

| Set the next pointer.

template<class TYPE>
ACE_INLINE void ACE_Timer_Node_T< TYPE >::set_prev | ( | ACE_Timer_Node_T< TYPE > * | prev | ) |

| Set the previous pointer.

template<class TYPE>
ACE_INLINE void ACE_Timer_Node_T< TYPE >::set_timer_id | ( | long | timer_id | ) |

| Set the timer_id.

template<class TYPE>
ACE_INLINE void ACE_Timer_Node_T< TYPE >::set_timer_value | ( | const ACE_Time_Value & | timer_value | ) |

| Set the timer value.

template<class TYPE>
ACE_INLINE void ACE_Timer_Node_T< TYPE >::set_type | ( | TYPE & | type | ) |

| Set the type.

## Member Data Documentation

template<class TYPE>
const void* ACE_Timer_Node_T::act_`[private]`

| Asynchronous completion token associated with the timer.

template<class TYPE>
ACE_Time_Value ACE_Timer_Node_T::interval_`[private]`

| If this is a periodic timer this holds the time until the next timeout.

template<class TYPE>
ACE_Timer_Node_T<TYPE>* ACE_Timer_Node_T::next_`[private]`

| Pointer to next timer.

template<class TYPE>
ACE_Timer_Node_T<TYPE>* ACE_Timer_Node_T::prev_`[private]`

| Pointer to previous timer.

template<class TYPE>
long ACE_Timer_Node_T::timer_id_`[private]`

| Id of this timer (used to cancel timers before they expire).

template<class TYPE>
ACE_Time_Value ACE_Timer_Node_T::timer_value_`[private]`

| Time until the timer expires.

template<class TYPE>
TYPE ACE_Timer_Node_T::type_`[private]`

| Type of object stored in the Queue.

The documentation for this class was generated from the following files:

- Timer_Queue_T.h
- Timer_Queue_T.cpp
- Timer_Queue_T.i